Bug 536168 - (RHQ-547) RFE: Add ability to schedule a deployment for the future
RFE: Add ability to schedule a deployment for the future
Status: NEW
Product: RHQ Project
Classification: Other
Component: Content (Show other bugs)
1.0
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
http://jira.rhq-project.org/browse/RH...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-09 10:20 EDT by Jason Dobies
Modified: 2014-05-13 12:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Dobies 2008-06-09 10:20:00 EDT
Details to be flushed out.

Keep in mind the use case has been for EARs/WARs, which are not done through the normal package deployment but rather through the create resource workflow.
Comment 1 Jason Dobies 2008-07-09 11:29:23 EDT
Feature requested on forums: http://forums.rhq-project.org/viewtopic.php?f=4&t=58&sid=8d19012741f0ae8b5c0f07eb33cc35b6
Comment 2 Joseph Marques 2008-07-19 20:04:28 EDT
i think this is important enough to shoot for 1.1, and we already most of the back- and front-end infrastructure for it.  

back-end: just gotta create a new class (the quartz job) and a new method on the content manager (to gather job data and insert into the quartz table).  the job will call into existing content interfaces to carry out the work.  

front-end: we have a reusable JSF scheduler component that interacts with the quartz API.  the only substantial UI piece that needs to be written is the "create new" page (that embedded the scheduler component), and the "view schedules" page to display the list of current content schedules.
Comment 3 Greg Hinkle 2008-07-29 21:26:12 EDT
This is a bit too large for this release.
Comment 4 Red Hat Bugzilla 2009-11-10 16:11:36 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-547
Comment 5 Jay Shaughnessy 2014-05-13 12:24:50 EDT
This is still not possible with content or bundles.  Probably still useful.

Note You need to log in before you can comment on or make changes to this bug.